Commit 63778053 authored by Dylan McCall's avatar Dylan McCall

Remove unnecessary GTK version check

parent 0df22de2
......@@ -17,10 +17,6 @@ VALAFLAGS = \
--target-glib=2.36.0 \
$(addprefix --vapidir ,$(HELPER_LIB_PATHS))
if HAS_GTK_3_10
VALAFLAGS += -D HAS_GTK_3_10
endif
# Run all tests in CWD and subdirs
# Borrowed from libgee
......
......@@ -29,7 +29,6 @@ AC_SUBST(LDFLAGS)
GLIB_REQUIRED=2.36.0
GTK_REQUIRED=3.10.0
GTK_RECOMMENDED=3.10.0
PKG_CHECK_MODULES([CFG_CORE], [
glib-2.0 >= $GLIB_REQUIRED
......@@ -62,18 +61,13 @@ PKG_CHECK_MODULES([CFG_ACTIVITY_MONITOR_BACKEND], [
])
PKG_CHECK_MODULES(
[CFG_GTK], [gtk+-3.0 >= $GTK_RECOMMENDED], [GTK_MIN_VERSION=3.10],
[PKG_CHECK_MODULES(
[CFG_GTK], [gtk+-3.0 >= $GTK_REQUIRED], [GTK_MIN_VERSION=3.8]
)]
[CFG_GTK], [gtk+-3.0 >= $GTK_REQUIRED], [GTK_MIN_VERSION=3.10]
)
# Some helpful constants that are available to the application
AM_CONDITIONAL([HAS_GTK_3_10], [test $GTK_MIN_VERSION = 3.10])
AC_DEFINE(SETTINGS_DESKTOP_ID, "gnome-break-timer.desktop", [Name of the .desktop file used for the settings application])
AC_DEFINE(HELPER_DESKTOP_ID, "gnome-break-timer-service.desktop", [Name of the .desktop file used for the helper service])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment